function [NSTD] = NormalizedStd(CM)

    %Computes the normalized standard deviation of a co-occurrence matrix
    %
    %INPUT:
    %CM: the co-occurrence matrix
    %
    %OUTPUT
    %NSTD: normalized standard deviation. Returns a value in the [0,1] interval.
    %
    
    n = numel(CM);
    
    NSTD = sqrt((n^2)/(n-1))*std2(CM);

end